## DIE - the Java2K IDE
##
## For more information on Java2k, checkout the official webpage at
## http://p-nand-q.com/humor/programming_languages/java2k.html
##
## Copyright (C) 2004-4002 by Gerson Kurz (http://p-nand-q.com). 
## All rights reserved. Free for any use whatsoever, enjoy!

import os, sys, java2k

# no comment from here on.
class DIE(java2k.java2k):
    
    def now(self):
        print "ELVIS HAS LEFT THE BUILDING AT APPROX. %s:" % java2k.VERSION
        
        while True:
            input = raw_input()
            cmd = input[:1]
            if cmd == "~":
                try:
                    c, n = '', int(input[1:])
                    if n % 7 == 0:
                        c = "*"
                    print "%s%s^" % (c, java2k.itoa(n))
                except Exception, e:
                    print e
                    
            elif cmd == "?":
                print "REQUIRED FILE MISSING."
                
            elif cmd == 'D':
                1/0
                
            elif cmd == "/":
                try:
                    c, n = '', java2k.atoi(input[1:])
                    if n % 7 == 0:
                        c = "*"
                    print "%s%s" % (c, n)
                except Exception, e:
                    print e

            elif cmd == "!":
                try:
                    print java2k.itoeval(int(input[1:]))
                except Exception, e:
                    print e

            elif cmd == ".":
                try:
                    if input[1:]:
                        self.setChance(float(input[1:]))
                    else:
                        print "Non-Chaos is %g %%" % self.getChance()
                except Exception, e:
                    print e

            elif cmd == "#":
                try:
                    args = input[1:].split(",")
                    n = int(args[0])
                    if len(args) == 2 and java2k.isname(args[1]):
                        output = open(args[1],"w")
                        print >>output, java2k.itojava2k(n)
                        output.close()
                    else:
                        print java2k.itojava2k(n)
                except Exception, e:
                    print e

            elif java2k.isname(input):
                try:
                    self.read(input)
                except Exception, e:
                    print e


if __name__ == "__main__":
    DIE().now()

